Bug 504939 - The application KPackageKit (kpackagekit) crashed and caused the signal 11 (SIGSEGV).
The application KPackageKit (kpackagekit) crashed and caused the signal 11 (S...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
11
All Linux
low Severity urgent
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 01:53 EDT by Artem S. Tashkinov
Modified: 2009-06-10 09:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 08:39:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem S. Tashkinov 2009-06-10 01:53:01 EDT
Description of problem: The application KPackageKit (kpackagekit) crashed and caused the signal 11 (SIGSEGV).


Version-Release number of selected component (if applicable): 0.4.0-7.fc11


How reproducible: Always.


Steps to Reproduce:
1. Run KPackageKit
2. Switch to "Updates" Tab.
  
Actual results: Crash.


Expected results: Working.


Additional info: Freshly installed and updated Fedora 11 with updates-testing enabled.

Application: KPackageKit (kpackagekit), signal SIGSEGV
[Current thread is 1 (Thread 0xb80c8780 (LWP 28082))]

Thread 1 (Thread 0xb80c8780 (LWP 28082)):
[KCrash Handler]
#6  0x00cce867 in PackageKit::Transaction::allowCancel() () from /usr/lib/libpackagekit-qt.so.11
#7  0x0054fec1 in KpkTransactionBar::nextTransaction() () from /usr/lib/libkpackagekitlib.so
#8  0x005503f8 in KpkTransactionBar::addTransaction(PackageKit::Transaction*) () from /usr/lib/libkpackagekitlib.so
#9  0x077c5423 in ?? () from /usr/lib/kde4/kcm_kpk_update.so
#10 0x077c56b9 in ?? () from /usr/lib/kde4/kcm_kpk_update.so
#11 0x077c3d40 in ?? () from /usr/lib/kde4/kcm_kpk_update.so
#12 0x077c3a78 in QWidget::style() const () from /usr/lib/kde4/kcm_kpk_update.so
#13 0x0559651b in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/libQtCore.so.4
#14 0x05597c0e in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#15 0x00feed91 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#16 0x00f9a444 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#17 0x00fa1abe in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#18 0x0033fcfa in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#19 0x0558797b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#20 0x05588478 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#21 0x0558864d in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#22 0x055b2a4f in ?? () from /usr/lib/libQtCore.so.4
#23 0x06ee3d78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#24 0x06ee7310 in ?? () from /lib/libglib-2.0.so.0
#25 0x06ee7443 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#26 0x055b267c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#27 0x01039305 in ?? () from /usr/lib/libQtGui.so.4
#28 0x05585f69 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#29 0x055863b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0x0558870f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#31 0x00f9a2c7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#32 0x0804b67b in _start ()
Comment 1 Kevin Kofler 2009-06-10 02:27:28 EDT
What version of PackageKit?
Comment 2 Artem S. Tashkinov 2009-06-10 02:35:09 EDT
kpackagekit             0.4.0-7.fc11
PackageKit-qt           0.4.6-8.fc11
PackageKit              0.4.6-8.fc11
PackageKit-glib         0.4.6-8.fc11
PackageKit-gtk-module   0.4.6-8.fc11
PackageKit-yum          0.4.6-8.fc11
PackageKit-yum-plugin   0.4.6-8.fc11
Comment 3 Rex Dieter 2009-06-10 07:32:13 EDT
Are you using yum-presto?  if so, it's a pk bug, fixed in pk/kpk-0.4.1 update.
Comment 4 Artem S. Tashkinov 2009-06-10 07:54:01 EDT
$ rpm -qa | grep yum | sort

anaconda-yum-plugins-1.0-4.fc11.noarch
PackageKit-yum-0.4.6-8.fc11.i586
PackageKit-yum-plugin-0.4.6-8.fc11.i586
yum-3.2.23-3.fc11.noarch
yum-metadata-parser-1.1.2-12.fc11.i586
yum-plugin-downloadonly-1.1.22-1.fc11.noarch
yum-utils-1.1.22-1.fc11.noarch
Comment 5 Richard Hughes 2009-06-10 08:20:36 EDT
You really want these updates: https://admin.fedoraproject.org/updates/kpackagekit-0.4.1-3.fc11,PackageKit-0.4.8-1.fc11
Comment 6 Artem S. Tashkinov 2009-06-10 08:39:32 EDT
Fine, the problem has gone. :)

Why aren't Koji packages signed? That doesn't make me feel warm :(
Comment 7 Steven M. Parrish 2009-06-10 09:12:59 EDT
Signing is a manual process and happens when the update is actually pushed out.

Note You need to log in before you can comment on or make changes to this bug.